<!-- Navigation -->
<ng-container *ngIf="isScreenSmall">
    <fuse-vertical-navigation
        class="dark bg-gray-900 print:hidden"
        [mode]="'over'"
        [name]="'mainNavigation'"
        [navigation]="navigation.default"
        [opened]="false">
        <!-- Navigation header hook -->
        <ng-container fuseVerticalNavigationContentHeader>
            <!-- Logo -->
            <div class="flex items-center h-20 pt-6 px-8">
                <a href="http://localhost:4200/dashboard">
                    <img class="w-40" src="assets/images/logo/srm-logo.svg" alt="SRM Logo">
                </a>
            </div>
        </ng-container>
    </fuse-vertical-navigation>
</ng-container>

<!-- Wrapper -->
<div class="flex flex-col flex-auto items-center w-full min-w-0">

    <!-- Header -->
    <div class="relative sticky top-0 shadow-md flex flex-col flex-0 justify-center w-full h-16 sm:h-20 md:h-20 overflow-hidden z-49 print:hidden">
        <!-- Top bar -->
        <div class="relative flex flex-auto justify-center w-full px-4 md:px-8 bg-white dark:bg-card">
            <div class="flex items-center w-full h-16 sm:h-20">
                <!-- Logo -->
                <ng-container *ngIf="!isScreenSmall">
                    <div class="flex items-center">
                        <a href="http://localhost:4200/dashboard">
                            <img class="w-40" src="assets/images/logo/srm-logo.svg" alt="SRM Logo">
                        </a>
                    </div>
                </ng-container>
                <!-- Navigation toggle button -->
                <ng-container *ngIf="isScreenSmall">
                    <button
                        mat-icon-button
                        (click)="toggleNavigation('mainNavigation')">
                        <mat-icon [svgIcon]="'heroicons_outline:menu'"></mat-icon>
                    </button>
                </ng-container>

                <!-- Bottom bar -->
                <ng-container *ngIf="!isScreenSmall">
                    <div class="flex flex-auto justify-center px-4 md:px-8 bg-card">
                        <div class="relative flex items-center w-full h-16">
                            <fuse-horizontal-navigation
                                class="-mx-4 mr-2 flex items-center pl-2 ml-auto space-x-2"
                                [name]="'mainNavigation'"
                                [navigation]="navigation.horizontal"></fuse-horizontal-navigation>
                        </div>
                    </div>
                </ng-container>

                <!-- Components -->
                <div class="flex items-center pl-2 ml-auto space-x-2">
                    <notifications></notifications>
                    <user></user>
                </div>
            </div>
        </div>

    </div>

    <!-- Content -->

    <mat-drawer-container class="flex flex-col flex-auto shadow bg-card overflow-hidden w-full min-w-0">

        <!-- Drawer -->

        <!-- Drawer -->
        <mat-drawer class="w-72 dark:bg-gray-900 content-area"
            [autoFocus]="true"
            [mode]="'side'"
            [opened]="true"
            #matDrawer>
            <!-- Demo sidebar -->
            <drawer-mini class="drawer-mini"></drawer-mini>
        </mat-drawer>
        <!-- Drawer content -->
        <mat-drawer-content class="flex flex-col overflow-hidden">

            <!-- Main -->
            <div class="flex-auto sm:p-6 md:p-8 sm:pb-0 md:pb-0 overflow-y-auto content-area" cdkScrollable>

                <!-- CONTENT GOES HERE -->
                <div class="flex flex-col flex-auto w-full bg-white dark:bg-card">
                    <!-- *ngIf="true" hack is required here for router-outlet to work correctly.
                         Otherwise, layout changes won't be registered and the view won't be updated! -->
                    <router-outlet *ngIf="true"></router-outlet>
                </div>

            </div>

        </mat-drawer-content>

    </mat-drawer-container>




    <!-- Footer -->
    <div class="relative flex flex-0 justify-between w-full px-6 md:px-8 z-49 border-t bg-card print:hidden">
        <div class="flex items-center h-14 sm:h-20">
            <languages></languages>English (United States)
        </div>
        <div class="flex items-center h-14 sm:h-20">
            <span class="font-medium text-secondary">Xitricon &copy; {{currentYear}}</span>
        </div>
    </div>

</div>
